package com.arms.api.wiki.service;

import com.arms.api.search_engine.model.dto.SearchDTO;
import com.arms.api.search_engine.model.vo.SearchResultVO;
import com.arms.api.wiki.model.*;

public interface WikiService {

    WikiVO getWiki(String wikiId);

    WikiVO getWiki(String wikiId, Long version);

    WikiVersionsVO getWikiVersions(String wikiId, int size, int page);

    String createWiki(WikiDTO wikiDTO);

    String updateWiki(WikiDTO wikiDTO);

    void changeRecent(WikiDTO wikiDTO);

    String deleteWiki(String wikiId);

    SearchResultVO<WikiEntity> searchWiki(SearchDTO searchDTO);

}
